---
title: Share Contact Card | API Docs
---

POST

/api/partner/v2/chats/{chat\_id}/share\_contact

Select code sample cURL (shell:curl)

```
const url = 'https://api.linqapp.com/api/partner/v2/chats/1/share_contact';
const options = {
  method: 'POST',
  headers: {'X-LINQ-INTEGRATION-TOKEN': '<X-LINQ-INTEGRATION-TOKEN>'}
};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```
curl --request POST \
  --url https://api.linqapp.com/api/partner/v2/chats/1/share_contact \
  --header 'X-LINQ-INTEGRATION-TOKEN: <X-LINQ-INTEGRATION-TOKEN>'
```

- Production server api.linqapp.com/api/partner/v2/chats/{chat\_id}/share\_contact

Shares your Linq contact card (name and image associated with your Linq number) with the participants in the chat. This endpoint does not require a request body.

**Note:** Contact cards must be enabled for your users by the Linq team. Contact your Linq representative to enable this feature.

## Authorizations

- **[ApiKeyAuth](/v2/api/#apikeyauth/index.md)**

## Parameters

### Path Parameters

**chat\_id**

required

integer

The chat ID

## Responses

### 201

Contact card shared successfully

### 404

Chat not found

Media type application/json

Standard error format used by most endpoints (render\_error format)

object

**errors**

Array\<object>

object

**status**

integer

**code**

string

**title**

string

**detail**

string

##### Example

```
{
  "errors": [
    {
      "status": 404,
      "code": "not_found",
      "title": "Not Found",
      "detail": "Chat not found"
    }
  ]
}
```
